Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor
Class ExecutorServiceFactory

    java.lang.Object
      org.jbpm.executor.ExecutorServiceFactory

    public class ExecutorServiceFactory

extends Object

Creates singleton instance of `ExecutorService` that shall be used outside of CDI environment.

Constructor Summary
`ExecutorServiceFactory()`

Method Summary
`static ExecutorRunnable` | `buildRunable()`
`static ExecutorRunnable` | `buildRunable(javax.persistence.EntityManagerFactory emf)`
`static org.kie.internal.executor.api.ExecutorService` | `newExecutorService()`
`static org.kie.internal.executor.api.ExecutorService` | `newExecutorService(javax.persistence.EntityManagerFactory emf)`
`static void` | `resetExecutorService(org.kie.internal.executor.api.ExecutorService executorService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorServiceFactory

    public ExecutorServiceFactory()

Method Detail

### newExecutorService

    public static org.kie.internal.executor.api.ExecutorService newExecutorService(javax.persistence.EntityManagerFactory emf)

### newExecutorService

    public static org.kie.internal.executor.api.ExecutorService newExecutorService()

### resetExecutorService

    public static void resetExecutorService(org.kie.internal.executor.api.ExecutorService executorService)

### buildRunable

    public static ExecutorRunnable buildRunable(javax.persistence.EntityManagerFactory emf)

### buildRunable

    public static ExecutorRunnable buildRunable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.